using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Statistics
{
    /// <summary>
	/// 中心报表统计
	/// </summary>
	[Description("工单信息old")]
    [SugarIndex("index_statisticsBaseInfo_insertTime", nameof(StatisticsBaseInfo.Time), OrderByType.Desc)]
    public class StatisticsBaseInfo : CreationEntity
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        [SugarColumn(ColumnDescription = "工单编号")]
        public string Code { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        [SugarColumn(ColumnDescription = "受理类型")]
        public string? PurName { get; set; }

        /// <summary>
        /// 受理时间
        /// </summary>
        [SugarColumn(ColumnDescription = "受理时间")]
        public DateTime AddDate { get; set; }

        /// <summary>
        /// 办理状态
        /// </summary>
        [SugarColumn(ColumnDescription = "办理状态")]
        public string StateFlag { get; set; }

        /// <summary>
        /// 部门标识
        /// </summary>
        [SugarColumn(ColumnDescription = "部门标识")]
        public int DepartID { get; set; } = 0;

        /// <summary>
        /// 部门名称
        /// </summary>
        [SugarColumn(ColumnDescription = "部门名称")]
        public string? DepartName { get; set; }

        /// <summary>
        /// 部门分类
        /// </summary>
        [SugarColumn(ColumnDescription = "部门分类")]
        public string TypeName { get; set; }

        /// <summary>
        /// 个人企业 个人、企业
        /// </summary>
        [SugarColumn(ColumnDescription = "个人企业")]
        public string PersonnelType { get; set; }

        /// <summary>
        /// 回访状态
        /// </summary>
        [SugarColumn(ColumnDescription = "回访状态")]
        public string? AppTypeName { get; set; }

        /// <summary>
        /// 按时办结 1按时 0超期 2未完成
        /// </summary>
        [SugarColumn(ColumnDescription = "按时办结")]
        public int CompleteOnTime { get; set; }

        /// <summary>
        /// 办理时长（工作分钟）
        /// </summary>
        [SugarColumn(ColumnDescription = "办理时长")]
        public int CallHandToEndWork { get; set; } = 0;

        /// <summary>
        /// 统计日期
        /// </summary>
        [SugarColumn(ColumnDescription = "统计日期")]
        public DateTime Time { get; set; }

        /// <summary>
        /// 统计时限
        /// </summary>
        [SugarColumn(ColumnDescription = "统计时限")]
        public int Month { get; set; }

        /// <summary>
        /// 入库时间
        /// </summary>
        [SugarColumn(ColumnDescription = "入库时间")]

        public DateTime InsertTime { get; set; }
    }
}
